Name:           python-sphinx_rtd_theme
Summary:        Sphinx theme for readthedocs.org
Version:        1.1.1
Release:        2
License:        MIT
URL:            https://github.com/snide/sphinx_rtd_theme
Source0:        https://files.pythonhosted.org/packages/source/s/sphinx_rtd_theme/sphinx_rtd_theme-%{version}.tar.gz

Patch0:         Support-for-sphinx-0.7.x-and-docutils-0.20.x.patch

BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools python3-sphinx

%description
This Sphinx theme was designed to provide a great reader experience for documentation users
on both desktop and mobile devices. This theme is used primarily on Read the Docs but can work
with any Sphinx project. You can find a working demo of the theme in the theme documentation.

%package        -n python3-sphinx_rtd_theme
Summary:        Sphinx theme for readthedocs.org
Recommends:     fontawesome-fonts-web font(fontawesome) font(lato) font(robotoslab)
Requires:       python3-sphinx
%{?python_provide:%python_provide python3-sphinx_rtd_theme}

%description    -n python3-sphinx_rtd_theme
this sphinx theme was designed to provide a great reader experience for documentation users
on both desktop and mobile devices. this theme is used primarily on read the docs but can work
with any sphinx project. you can find a working demo of the theme in the theme documentation.

%prep
%autosetup -n sphinx_rtd_theme-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-sphinx_rtd_theme
%{python3_sitelib}/sphinx_rtd_theme*

%changelog
* Fri Jul 28 2023 xu_ping <707078654@qq.com> 1.1.1-2
- Support for sphinx-0.7.x and docutils-0.20.x

* Fri Jun 16 2023 xiaotong <tongxiaof@isoftstone.com> 1.1.1-1
- upgrade version to 1.1.1

* Mon Dec 20 2021 renhongxun <renhongxun@huawei.com> 1.0.0-1
- upgrade version to 1.0.0

* Mon Aug 10 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 0.4.3-2
* Remove python2

* Fri Jul 24 2020 tianwei <tianwei12@huawei.com> - 0.4.3-1
- package update to release to 0.4.3

* Thu Nov 14 2019 Lijin Yang <yanglijin@huawei.com> - 0.4.1-2
- init package
